﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem && e.Item.IsInEditMode)
        {
            GridDataItem item = e.Item as GridDataItem;
            List<GridColumn> editableColumns = item.OwnerTableView.RenderColumns.Select(c=>c).Where
                (
                    c =>
                    {
                        if (c is GridEditableColumn)
                        {
                            GridEditableColumn column = (GridEditableColumn)c;
                            return !column.ReadOnly && column.IsEditable;
                        }
                        return false;
                    }
                ).ToList();

            int lastIndex = editableColumns[editableColumns.Count - 1].OrderIndex;
            editableColumns.ForEach
                (
                    c =>
                    {
                        
                        TableCell editCell = (TableCell)item.EditManager.GetColumnEditor(c.UniqueName).ContainerControl;
                        string script = String.Format("handlekeypress(this,event,'{0}','{1}','{2}');", item.OwnerTableView.ClientID, item.ItemIndex, (c.OrderIndex == lastIndex));
                        editCell.Attributes.Add("onkeydown", script);
                    }
                );            
        }
    }
}
